# List embedded payments transactions

This endpoint is used for retrieving Embedded Payments transactions by search.

Endpoint: GET /tap-to-pay/merchants/{merchantId}/transactions
Version: 1.0
Security: JWT

## Header parameters:

  - `Authorization` (string, required)

## Query parameters:

  - `reference` (string)

  - `locationId` (string)
    The location ID of the transactions to be retrieved.

This is the location ID of the merchant that you are using to retrieve the transactions.
    Example: "tc-location-2000"

  - `limit` (number)
    Specifies the amount of results to be retrieved.

A maximum of 100 results are returned if this value is not provided.
    Example: 10

  - `page` (number)
    Specify the page to retrieve.

You will need to use this setting if you wish to retrieve specific pages.

Page-numbering is based on the value of "limit". If limit=5, then page=1 will display the hits from 1 to 5, page=3 will display the hits from 11 to 15.

Page numbers start at 1.

A request for a non-existing page will yield 0 results.
    Example: 2

## Response 200 fields (application/json):

  - `results` (array, required)
    The results for the location that satisfy the filtering criteria

  - `results.transactionId` (string)
    The ID for this transaction

  - `results.transactionLocalDateTime` (string)
    The time the transaction was created. The format of the date time is the notation as defined by [RFC 3339, section 5.6](https://tools.ietf.org/html/rfc3339#section-5.6)
    Example: "2023-05-02T08:28:13"

  - `results.reference` (string)
    The unique reference supplied by the partner to initialize this transaction.

  - `results.transactionReference` (string)
    The terminalStan ID associated with this transaction.

  - `results.locationId` (string)
    The locationId that was used for this transaction.
    Example: "tc-exampleshop-3000"

  - `results.mid` (string)
    The merchant id.

  - `results.tid` (string)
    The terminal id.

  - `results.amount` (number)
    The amount (in cents) being paid for the goods and services.

  - `results.paymentType` (string)
    The payment type
    Enum: "Purchase", "Refund"

  - `results.surchargeAmount` (number)
    Surcharge amount in cents.

  - `results.tipAmount` (number)
    Tip amount in cents.

  - `results.elidedPan` (string)
    The last four digits of the PAN number.

  - `results.cardType` (string)
    The card type that was used, e.g. Visa

  - `results.approvalCode` (string)
    Approval code.

  - `results.transactionResult` (string)
    Transaction result.
    Example: "APPROVED"

  - `results.retrievalReferenceNumber` (string)
    Retrieval reference number.

  - `results.customerReceipt` (string)
    Customer receipt.
    Example: "      Example Restaurant\n        55 Market St\n       Sydney NSW 2000\n\n    Tyro Payments EFTPOS\n\nVisa DEBIT\nAID: A0000000031010\nCard: XXXXXXXXX2989(T)\nPSN: 00, ATC: 0007\nTVR: 0000000000\n\nPurchase     AUD       $4.55\n----------------------------\nTotal        AUD       $4.55\n\nAPPROVED                  00\n\nTerminal ID: 4\nTransaction Ref: 395001\nAuthorisation No: 000184\n02 Apr 2024 at 04:52 PM"

  - `pagination` (object, required)

  - `pagination.page` (integer, required)
    Example: 1

  - `pagination.size` (integer, required)
    Example: 10

  - `pagination.limit` (integer, required)
    Example: 100

  - `pagination.total` (integer, required)
    Example: 45


## Response 403 fields

## Response 404 fields
